Summary:       Graphical LDAP directory browser and editor
Name:          gq
Version:       1.3.4
Release:       23%{?dist}
License:       GPLv2+
Group:         Applications/Internet
URL:           http://sourceforge.net/projects/gqclient/
Source0:       http://downloads.sourceforge.net/project/gqclient/GQ%20Unstable/%{version}/gq-%{version}.tar.gz
Patch0:        gq-1.2.1-desktop.patch
Patch1:        gq-1.3.4-kerberos.patch
Patch2:        gq-1.3.4-configure.patch
Patch3:        gq-1.3.4-dso.patch
Patch4:        gq-1.3.4-glibfix.patch
Patch5:        gq-1.3.4-errorchain.patch
Patch6:        gq-1.3.4-strcmp-null-safe.patch
Patch7:        gq-1.3.4-sanity-check.patch
BuildRequires: gtk2-devel 
BuildRequires: libglade2-devel 
Buildrequires: libgcrypt-devel
BuildRequires: libgnome-keyring-devel 
BuildRequires: libxml2-devel 
BuildRequires: krb5-devel
Buildrequires: gettext 
BuildRequires: desktop-file-utils 
BuildRequires: gnome-doc-utils
BuildRequires: openldap-devel 
Buildrequires: openssl-devel
BuildRequires: perl(XML::Parser)
# for /usr/bin/iconv
BuildRequires: glibc-common
%description
GQ is a graphical browser for LDAP directories and schemas.  Using GQ,
an administrator can search through a directory and modify objects
stored in that directory.

%prep
%setup -q
for f in TODO AUTHORS ChangeLog ; do
    mv $f $f.iso88591
    iconv -f ISO-8859-1 -t UTF-8 -o $f $f.iso88591
    touch -r $f.iso88591 $f
    rm -f $f.iso88591
done
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%configure --with-included-gettext      \
           --disable-update-mimedb      \
           --with-default-codeset=UTF-8 \
           --disable-scrollkeeper       \
           --enable-cache               \
           --enable-browser-dnd         \
           --with-kerberos-prefix=%{_prefix}/kerberos

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-install --delete-original      \
        --dir %{buildroot}%{_datadir}/applications          \
        %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README* TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/pixmaps/%{name}/*.xpm
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/mime/packages/%{name}-ldif.xml
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/omf/gq-manual
%{_datadir}/gnome/help/gq-manual
%{_datadir}/icons/hicolor/16x16/apps/ldap-*.png
%dir %{_datadir}/pixmaps/%{name}
%dir %{_datadir}/%{name}

%changelog
* Mon Aug 18 2014 Rex Dieter <rdieter@fedoraproject.org> 1.3.4-23
- update scriptlets

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 Tomáš Mráz <tmraz@redhat.com> - 1.34-20
- Rebuild for new libgcrypt

* Thu Nov 21 2013 Terje Røsten <terje.rosten@ntnu.no> - 1.34-19
- Try to avoid some more crash bugs.

* Mon Nov 11 2013 Terje Røsten <terje.rosten@ntnu.no> - 1.34-18
- Add errorchain patch

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 12 2013 Jon Ciesla <limburgher@gmail.com> - 1.3.4-16
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 21 2012 Tom Callaway <spot@fedoraproject.org> - 1.3.4-13
- fix build against glib

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.3.4-11
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 11 2010 Terje Røsten <terje.rosten@ntnu.no> - 1.3.4-9
- Add DSO patch

* Sun Nov 08 2009 Terje Røsten <terje.rosten@ntnu.no> - 1.3.4-8
- Add patch to build with krb5 1.7, thanks to Nalin for help

* Thu Nov 05 2009 Terje Røsten <terje.rosten@ntnu.no> - 1.3.4-7
- Build with kerberos support (bz #522095)
- Add patch to fix typo in kerberos code

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.3.4-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 1.3.4-3
- rebuild with new openssl

* Mon Sep  1 2008 Terje Røsten <terje.rosten@ntnu.no> - 1.3.4-2
- adapt to new rpm patch macro policy

* Sun Feb 17 2008 Terje Røsten <terje.rosten@ntnu.no> - 1.3.4-1
- 1.3.4
- Drop infinite loop patch

* Tue Feb 12 2008 Terje Røsten <terje.rosten@ntnu.no> - 1.3.3-3
- Rebuild

* Mon Jan 21 2008 Terje Røsten <terje.rosten@ntnu.no> - 1.3.3-2
- Add patch from svn to fix infinite loop
- Adjust buildreq
- Fix scrollkeeper stuff

* Wed Jan  8 2008 Terje Røsten <terje.rosten@ntnu.no> - 1.3.3-1
- 1.3.3

* Thu Nov 29 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.3.2-0.1.svn20071129
- 1.3.2 from svn 2007-11-29
- Drop lang pack
- Drop auth patch (now upstream)
- Fix some %%doc files
- Install help docs and new icons
- Add gtk-update-icon-cache to %%post

* Tue Nov  7 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-8
- Rebuild for openssl and openldap

* Thu Sep  6 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-7
- Add default-codeset to configure (fix bz #281431)

* Tue Aug 21 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-6
- Tag problem

* Sun Aug 19 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-5
- Fix license tag

* Mon Jun 25 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-4
- Fix categories in desktop file

* Mon May 20 2007 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-3
- Add auth patch

* Mon Nov 20 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-2
- Fix patch/source naming
- Add gettext to BuildReq
- Move %%post/%%postun
- Remove cp macro
- Add libgcrypt-devel to BuildReq

* Sun Nov 19 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.2-1
- 1.2.2

* Sun Nov 19 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.1-3
- Fix defattr
- Remove X-Fedora as category in desktop file
- libglade2-devel pulls in gtk2-devel and libxml2-devel in BuildReq
- Use perl modules, not perl package name in BuildReq
- Remove ldconfig from %%post
- Fix install of translations
- Remove some macros (rm, make and install)
- Fix mime: script and remove shared-mime-info from BuildReq
- Patch, not replace desktop file
- Switch icon to redhat-system_tools

* Sun Nov 12 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.1-2
- Don't use %%makeinstall
- Some more buildreq: gnome-keyring-devel, libglade2-devel
- Add --disable-update-mimedb to configure

* Sat Oct 15 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.1-1
- 1.2.1
- Add perl-XML-Parser to buildreq
- Translations broken, skip
- Fix mime stuff (stolen from planner.spec)

* Fri Sep 06 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.2.0-1
- 1.2.0

* Sat Aug 06 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.1-1
- 1.0.1

* Tue May 02 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.0-4
- Fix source urls

* Tue May 02 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.0-3
- More desktop file work

* Mon May 01 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.0-2
- Proper desktop file handling
- Drop krb5-devel in buildrequires
- Add langpack

* Fri Apr 28 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0.0-1
- 1.0.0

* Mon Apr 10 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0-0.5.rc1
- 1.0-rc1

* Thu Apr 06 2006 Terje Røsten <terje.rosten@ntnu.no> - 1.0-0.4.beta2
- 1.0-beta2
- Remove patches now upstream
- Add libxml2-devel to build requires
- Include pix

* Mon Jun 20 2005 Terje Røsten <terje.rosten@ntnu.no> - 1.0-0.3.beta1
- Fix some rpmlint warnings

* Thu Jun 16 2005 Terje Røsten <terje.rosten@ntnu.no> - 1.0-beta1.0.2
- Build on fc4
- Add gcc4 patch
  <URL: http://sourceforge.net/tracker/index.php?func=detail&aid=1184399&group_id=3805&atid=103805> 

* Wed Mar 29 2005 Terje Røsten <terje.rosten@ntnu.no> - 1.0-beta1.0.1
- OpenLDAP 2.2 patch 
  <URL: http://sourceforge.net/mailarchive/forum.php?thread_id=6736116&forum_id=5986>
- build with: setarch i686 rpmbuild -ba --target=x86-64 ...

* Wed Jun 09 2004 Dag Wieers <dag@wieers.com> - 0.6.0-4
- Merged SPEC file with my version
- Changes to build on older releases
- Added improved desktop file

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 1.0-0.beta1.1
- Update to 1.0beta1.
- Rebuild for Fedora Core 2

* Thu Nov 13 2003 Matthias Saou <http://freshrpms.net/> 0.6.0-3
- Rebuild for Fedora Core 1

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9
- Added new desktop entry
- Added find_lang usage

* Wed Jan 29 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.6.0

* Tue May 21 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.5.0

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-5
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4.0, fixes bugs #24160, #24161

* Wed Dec 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.3.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package
